main
    width: 100%
    display: flex
    flex-direction: column

    .product-container
        width: 100%
        display: flex
        flex-direction: column
        justify-content: center
        align-items: center
        padding-bottom: 5em

        .product-infos
            display: flex
            flex-direction: raw
            justify-content: space-evenly
            width: 100%
                
            img
                position: relative
                width: 20em
                height: auto
                display: block

            .texts
                display: flex
                flex-direction: column
                justify-content: space-evenly
                align-items: center
                width: 45%

                .price
                    font-style: italic

    .upsell-container

        @media (min-width: 25em)
            display: grid
            grid-column-gap: 1.25rem
            grid-template-columns: repeat(13, minmax(0, 1fr))

        .grid-container
            @media (min-width: 25em)
                grid-column: 2/14
                grid-row: 1

            @media (max-width: 25em)
                display: flex

            .catalog
                display: flex
                flex-wrap: nowrap
                overflow-x: scroll
                overflow-y: hidden

                .item
                    display: flex
                    flex-direction: column
                    align-items: center
                    justify-content: center
                    margin: 0 1.25rem 2.5rem 0
                    overflow: hidden
                    box-sizing: border-box
                    width: auto

                    .image
                        position: relative
                        width: 100%
                        height: auto
                        display: flex
                        justify-content: center
                        box-sizing: border-box
                        padding-bottom: 56.25%
                        
                        img
                            position: absolute
                            width: auto
                            height: 100%
                            display: block

                    .texts
                        display: flex
                        flex-direction: column
                        justify-content: center
                        align-items: center
                        width: 100%

                        .price
                            font-style: italic

                .item:hover
                    box-shadow: 2px 2px 4px 2px #dbdbdb
